#include "chdecl.h"
void CH_typestate_impliedat(current, sched, cop)
#define ARGUMENTS 9
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c12;
    case 4: goto cb21;
    case 5: goto c22;
    case 6: goto c26;
    case 7: goto c27;
    case 8: goto c28;
    case 9: goto c37;
    case 10: goto c55;
    case 11: goto c61;
    case 12: goto c76;
    case 13: goto c78;
    case 14: goto c84;
    case 15: goto c88;
    case 16: goto c99;
    case 17: goto c108;
    case 18: goto c109;
    case 19: goto c115;
    case 20: goto c125;
    case 21: goto c140;
    case 22: goto c142;
    case 23: goto c148;
    case 24: goto c153;
    case 25: goto c155;
    case 26: goto c163;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* boolean 3.6 , FALSE */
  REF(3)DOT(6).value.boolean = FALSE;
  REF(3)DOT(6).tsdr = & dr_boolean;
/* initget 4 3.4.1 , 0,0 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(4),DEF(3)DOT(4)DOT(1),nil,sched,GET,
    0,0)) != Normal) goto ch_raise_exception;
/* get_or_err 4 3.4.1 */
  if ((ch_returncode = get_selected_object(DEF(4),DEF(3)DOT(4)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* copy 5 4 */
  if((ch_returncode = (REF(4).tsdr->copy)(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(4).tsdr->number];
/* endget 4 3.4.1 */
  end_selector(DEF(4),DEF(3)DOT(4)DOT(1),sched,GET);
/* move 6 5 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* boolean 7 , TRUE */
  REF(7).value.boolean = TRUE;
  REF(7).tsdr = & dr_boolean;
/* initget 8 3.4.1 , 0,0 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(8),DEF(3)DOT(4)DOT(1),nil,sched,GET,
    0,0)) != Normal) goto ch_raise_exception;
c12:
/* get_or_goto 8 3.4.1 , 16 */
  if ((ch_returncode = get_selected_object(DEF(8),DEF(3)DOT(4)DOT(1)
    ,sched)) != Normal) goto c16;
/* equal . 8.0 6.0 , 12 */
  if ( (REF(8)DOT(0).tsdr->equal)(REF(8)DOT(0).value,REF(6)DOT(0).value) )
     goto c12;
/* boolean 7 , FALSE */
  REF(7).value.boolean = FALSE;
  REF(7).tsdr = & dr_boolean;
c16:
/* endget 8 3.4.1 */
  end_selector(DEF(8),DEF(3)DOT(4)DOT(1),sched,GET);
/* branch_false 7 , 26 */
  if ( !REF(7).value.boolean ) goto c26;
/* new_record 9 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val; REF(9).tsdr = & dr_record;
/* copy 9.0 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(9)DOT(0).tsdr)->finalize)(REF(9)DOT(0).value,F_DISCARD,sched);
  REF(9)DOT(0).value = ch_val;
  REF(9)DOT(0).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* new_table 9.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(9)DOT(1),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
  current->ip = 4;
cb21:
/* call 3.0.13 3.0 3.1 3.2 3.3 9 10 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(13),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(9),
          arguments[6] = DEF(10),
          arguments[6+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c22:
/* move 11 10 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11) = REF(10);
  REF(10).tsdr = & dr_bottom;
/* ilit 12 , -1 */
  REF(12).value.integer = -1;
  REF(12).tsdr = & dr_integer;
/* branch , 27 */
   goto c27;
c26:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c27:
/* new_table 13 , 5 */
  if ((ch_returncode = che_new_table(DEF(13),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
c28:
/* noop */
  
/* find 14 3.2 11.0 , 0 */
  if (findfunc(DEF(14),DEF(3)DOT(2),(
          arguments[0] = DEF(11)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* find 15 14.1 11.1 , 0 */
  if (findfunc(DEF(15),DEF(14)DOT(1),(
          arguments[0] = DEF(11)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* block , 6 */
  if((ch_returncode = che_block(QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* reveal 15.2 , 10 */
  if (10 != REF(15)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* find 16 15.2.0.3 15.2.0.2 , 0 */
  if (findfunc(DEF(16),DEF(15)DOT(2)DOT(0)DOT(3),(
          arguments[0] = DEF(15)DOT(2)DOT(0)DOT(2),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* boolean 17 , FALSE */
  REF(17).value.boolean = FALSE;
  REF(17).tsdr = & dr_boolean;
/* initget 18 3.5 , 0,0 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(18),DEF(3)DOT(5),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c37:
/* get_or_goto 18 3.5 , 49 */
  if ((ch_returncode = get_selected_object(DEF(18),DEF(3)DOT(5)
    ,sched)) != Normal) goto c49;
/* case 19 18.0 */
  REF(19).value.enumeration = REF(18)DOT(0).value.variant->info.variant_case;
  REF(19).tsdr = & dr_enumeration;
/* equal 20 19 =(0) */
  REF(20).value.boolean = (REF(19).value.enumeration == 0);
  REF(20).tsdr = & dr_boolean;
/* initget 21 18.1 , 0,0 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(21),DEF(18)DOT(1),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 21 18.1 */
  if ((ch_returncode = get_selected_object(DEF(21),DEF(18)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* copy 22 21 */
  if((ch_returncode = cp_record(& ch_val, REF(21).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = & dr_record;
/* endget 21 18.1 */
  end_selector(DEF(21),DEF(18)DOT(1),sched,GET);
/* equal 23 22 9 */
  REF(23).value.boolean = (eq_record(REF(22).value,REF(9).value));
  REF(23).tsdr = & dr_boolean;
/* and 24 20 23 */
  REF(24).value.boolean = REF(20).value.boolean&REF(23).value.boolean;
  REF(24).tsdr = & dr_boolean;
/* branch_false 24 , 37 */
  if ( !REF(24).value.boolean ) goto c37;
/* boolean 17 , TRUE */
  REF(17).value.boolean = TRUE;
  REF(17).tsdr = & dr_boolean;
c49:
/* endget 18 3.5 */
  end_selector(DEF(18),DEF(3)DOT(5),sched,GET);
/* move 25 17 */
  REF(25) = REF(17);
  REF(17).tsdr = & dr_bottom;
/* branch_false 25 , 53 */
  if ( !REF(25).value.boolean ) goto c53;
/* branch , 78 */
   goto c78;
c53:
/* boolean 26 , FALSE */
  REF(26).value.boolean = FALSE;
  REF(26).tsdr = & dr_boolean;
/* initget 27 13 , 0,0 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(27),DEF(13),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c55:
/* get_or_goto 27 13 , 76 */
  if ((ch_returncode = get_selected_object(DEF(27),DEF(13),sched)) != Normal)
     goto c76;
/* new_record 28 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val; REF(28).tsdr = & dr_record;
/* unite 28.0 29 , 0 */
  if ((ch_returncode = che_unite(DEF(28)DOT(0),DEF(29),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 28.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(28)DOT(1),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 30 , 2 */
  if ((ch_returncode = che_new_table(DEF(30),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 31 9.1 , 0,0 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(31),DEF(9)DOT(1),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c61:
/* get_or_goto 31 9.1 , 68 */
  if ((ch_returncode = get_selected_object(DEF(31),DEF(9)DOT(1)
    ,sched)) != Normal) goto c68;
/* position 32 31 */
  ch_frame = get_selector_frame(DEF(31),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(32).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(32).tsdr = &dr_integer;
/* ilt . 32 27.0 , 61 */
  if ( REF(32).value.integer < REF(27)DOT(0).value.integer ) goto c61;
/* copy 33 31 */
  if((ch_returncode = (REF(31).tsdr->copy)(& ch_val, REF(31).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(31).tsdr->number];
/* insert 30 33 */
  if ((ch_returncode = insertfunc(DEF(30),DEF(33),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 61 */
   goto c61;
c68:
/* endget 31 9.1 */
  end_selector(DEF(31),DEF(9)DOT(1),sched,GET);
/* insert 28.1 30 */
  if ((ch_returncode = insertfunc(DEF(28)DOT(1),DEF(30),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 34 , FALSE */
  REF(34).value.boolean = FALSE;
  REF(34).tsdr = & dr_boolean;
/* find_or_goto 35 27.1 28 , 0,73 */
  if (findfunc(DEF(35),DEF(27)DOT(1),(
          arguments[0] = DEF(28),& arguments[0]),sched,0) == FAILURE) goto c73;
/* boolean 34 , TRUE */
  REF(34).value.boolean = TRUE;
  REF(34).tsdr = & dr_boolean;
c73:
/* move 36 34 */
  REF(36) = REF(34);
  REF(34).tsdr = & dr_bottom;
/* branch_false 36 , 55 */
  if ( !REF(36).value.boolean ) goto c55;
/* boolean 26 , TRUE */
  REF(26).value.boolean = TRUE;
  REF(26).tsdr = & dr_boolean;
c76:
/* endget 27 13 */
  end_selector(DEF(27),DEF(13),sched,GET);
/* move 25 26 */
  REF(25) = REF(26);
  REF(26).tsdr = & dr_bottom;
c78:
/* branch_false 25 , 108 */
  if ( !REF(25).value.boolean ) goto c108;
/* new_record 37 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).value = ch_val; REF(37).tsdr = & dr_record;
/* copy 37.0 3.4.0 */
  if((ch_returncode = (REF(3)DOT(4)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(4)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(37)DOT(0).tsdr)->finalize)(REF(37)DOT(0).value,F_DISCARD,sched);
  REF(37)DOT(0).value = ch_val;
  REF(37)DOT(0).tsdr = datarepmap[REF(3)DOT(4)DOT(0).tsdr->number];
/* new_table 37.1 , 2 */
  if ((ch_returncode = che_new_table(DEF(37)DOT(1),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 38 3.4.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(4)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val;
  REF(38).tsdr = & dr_table;
/* initget 39 38 , 0,0 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(39),DEF(38),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c84:
/* get_or_goto 39 38 , 99 */
  if ((ch_returncode = get_selected_object(DEF(39),DEF(38),sched)) != Normal)
     goto c99;
/* new_table 40 , 2 */
  if ((ch_returncode = che_new_table(DEF(40),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 41 39.1 */
  if((ch_returncode = cp_table(& ch_val, REF(39)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val;
  REF(41).tsdr = & dr_table;
/* initget 42 41 , 0,0 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(42),DEF(41),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c88:
/* get_or_goto 42 41 , 95 */
  if ((ch_returncode = get_selected_object(DEF(42),DEF(41),sched)) != Normal)
     goto c95;
/* position 43 42 */
  ch_frame = get_selector_frame(DEF(42),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(43).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(43).tsdr = &dr_integer;
/* ile . 43 12 , 88 */
  if ( REF(43).value.integer <= REF(12).value.integer ) goto c88;
/* copy 44 42 */
  if((ch_returncode = (REF(42).tsdr->copy)(& ch_val, REF(42).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).value = ch_val;
  REF(44).tsdr = datarepmap[REF(42).tsdr->number];
/* insert 40 44 */
  if ((ch_returncode = insertfunc(DEF(40),DEF(44),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 88 */
   goto c88;
c95:
/* endget 42 41 */
  end_selector(DEF(42),DEF(41),sched,GET);
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* insert 37.1 40 */
  if ((ch_returncode = insertfunc(DEF(37)DOT(1),DEF(40),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 84 */
   goto c84;
c99:
/* endget 39 38 */
  end_selector(DEF(39),DEF(38),sched,GET);
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* boolean 45 , FALSE */
  REF(45).value.boolean = FALSE;
  REF(45).tsdr = & dr_boolean;
/* find_or_goto 46 16.1 37 , 0,104 */
  if (findfunc(DEF(46),DEF(16)DOT(1),(
          arguments[0] = DEF(37),& arguments[0]),sched,0) == FAILURE) goto c104;
/* boolean 45 , TRUE */
  REF(45).value.boolean = TRUE;
  REF(45).tsdr = & dr_boolean;
c104:
/* move 47 45 */
  REF(47) = REF(45);
  REF(45).tsdr = & dr_bottom;
/* branch_false 47 , 109 */
  if ( !REF(47).value.boolean ) goto c109;
/* exit , 7 */
  ch_e = handler_type__exit; ch_val = QUAL(7); goto ch_exception;
c108:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c109:
/* new_record 48 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).value = ch_val; REF(48).tsdr = & dr_record;
/* copy 48.0 12 */
  REF(48)DOT(0) = REF(12);
/* copy 48.1 16.1 */
  if((ch_returncode = cp_table(& ch_val, REF(16)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(48)DOT(1).tsdr)->finalize)(REF(48)DOT(1).value,F_DISCARD,sched);
  REF(48)DOT(1).value = ch_val;
  REF(48)DOT(1).tsdr = & dr_table;
/* insert 13 48 */
  if ((ch_returncode = insertfunc(DEF(13),DEF(48),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c115:
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* iadd 12 12 =(1) */
  if (!chf_iadd(DEF(12),REF(12).value.integer,1)) goto ch_depletion;
/* lookup_at 49 6.1 12 */
  if((ch_i = REF(12).value.integer) < 0 || ch_i >= (ch_t = REF(6)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(49).value,ch_i);
  REF(49).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 50 49 */
  if((ch_returncode = (REF(49).tsdr->copy)(& ch_val, REF(49).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).value = ch_val;
  REF(50).tsdr = datarepmap[REF(49).tsdr->number];
/* boolean 51 , TRUE */
  REF(51).value.boolean = TRUE;
  REF(51).tsdr = & dr_boolean;
/* initget 52 3.4.1 , 0,0 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(52),DEF(3)DOT(4)DOT(1),nil,sched,GET,
    0,0)) != Normal) goto ch_raise_exception;
c125:
/* get_or_goto 52 3.4.1 , 132 */
  if ((ch_returncode = get_selected_object(DEF(52),DEF(3)DOT(4)DOT(1)
    ,sched)) != Normal) goto c132;
/* lookup_at 53 52.1 12 */
  if((ch_i = REF(12).value.integer) < 0 || ch_i >= (ch_t = REF(52)DOT(1).value
    .table)->size) goto ch_notfound;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(53).value,ch_i);
  REF(53).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 54 53 */
  if((ch_returncode = (REF(53).tsdr->copy)(& ch_val, REF(53).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).value = ch_val;
  REF(54).tsdr = datarepmap[REF(53).tsdr->number];
/* equal 55 54 50 */
  REF(55).value.boolean = ((REF(54).tsdr->equal)(REF(54).value,REF(50).value)
    );
  REF(55).tsdr = & dr_boolean;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* branch_true 55 , 125 */
  if ( REF(55).value.boolean ) goto c125;
/* boolean 51 , FALSE */
  REF(51).value.boolean = FALSE;
  REF(51).tsdr = & dr_boolean;
c132:
/* endget 52 3.4.1 */
  end_selector(DEF(52),DEF(3)DOT(4)DOT(1),sched,GET);
/* branch_false 51 , 138 */
  if ( !REF(51).value.boolean ) goto c138;
/* find 56 15.1 50 , 0 */
  if (findfunc(DEF(56),DEF(15)DOT(1),(
          arguments[0] = DEF(50),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 11 56.1 */
  if((ch_returncode = (REF(56)DOT(1).tsdr->copy)(& ch_val, REF(56)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val;
  REF(11).tsdr = datarepmap[REF(56)DOT(1).tsdr->number];
/* insert 9.1 50 */
  if ((ch_returncode = insertfunc(DEF(9)DOT(1),DEF(50),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 28 */
   goto c28;
c138:
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c140:
/* endblock */
  che_endblock(sched);
/* branch , 155 */
   goto c155;
c142:
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* branch , 155 */
   goto c155;
c148:
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* branch , 155 */
   goto c155;
c153:
/* boolean 3.6 , TRUE */
  REF(3)DOT(6).value.boolean = TRUE;
  REF(3)DOT(6).tsdr = & dr_boolean;
c155:
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c163:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
